/***********************************************************
 文件名：05_Ultrasonic ranging.ino
  描述：超声波测距，串口打印数据。
  作者：陈志强
  日期：2022.11.2
***********************************************************/
//trig引脚接在了arduino的A0口，echo接在A1口
int csb;//定义变量
float checkdistance_A0_A1() {     //超声波测距函数
  digitalWrite(A0, LOW);
  delayMicroseconds(2);
  digitalWrite(A0, HIGH);
  delayMicroseconds(10);//产生一个10us的高脉冲去触发超声波模块
  digitalWrite(A0, LOW);
  float distance = pulseIn(A1, HIGH) / 58.00;//计算出距离,输出的距离的单位是厘米cm
delay(10);
  return distance;
}
void setup() {
  Serial.begin(9600);//设置波特率9600
  pinMode(A0, OUTPUT);//设置数字A0口模式，OUTPUT为输出
  pinMode(A1, INPUT);//设置数字A1口模式，INPUT为输出
}
void loop() {
  delay(200);//延时0.2秒
  csb = checkdistance_A0_A1();//读取函数checkdistance_A0_A1()返回值分配给 csb
  Serial.println(csb);//把得到的距离值通过串口通信返回给电脑，通过串口监视器显示出来

}
